class ElementReferencesQueryBuilder {
  constructor() {
    // General Elements
    this.counter = 0;
    this.queryInputField = document.querySelector('#corpus-analysis-app-concordance-extension-form-query-builder');
    this.queryInputFieldInstance = M.Chips.getInstance(this.queryInputField);
    this.queryInputFieldContent = [];

    // Structural Attribute Builder Elements
    this.structuralAttrModalInstance = document.querySelector('#structural-attr-modal');
    this.sentenceElement = document.querySelector('[data-structural-attr-modal-action-button="sentence"]');
    this.entityElement = document.querySelector('[data-structural-attr-modal-action-button="entity"]');
    this.textAnnotationElement = document.querySelector('[data-structural-attr-modal-action-button="text-annotation"]');

    // Token Attribute Builder Elements
    this.positionalAttrModal = M.Modal.getInstance(document.querySelector('#positional-attr-modal'));
    this.positionalAttrSelection = document.querySelector('#positional-attr-selection');
    this.tokenQuery = document.querySelector('#token-query');
    this.tokenSubmitButton = document.querySelector('#token-submit');
    this.noValueMessage = document.querySelector('#no-value-message');
    this.isTokenQueryInvalid = false;

    this.wordInput = document.querySelector('#word-input');
    this.lemmaInput = document.querySelector('#lemma-input');
    this.englishPosSelection = document.querySelector('#english-pos-selection');
    this.germanPosSelection = document.querySelector('#german-pos-selection');
    this.simplePosSelection = document.querySelector('#simple-pos-selection');

    this.ignoreCaseCheckbox = document.querySelector('#ignore-case-checkbox');
  }
}
